# Generated from thousand_island-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name thousand_island

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: A library that helps with common layout elements in PDFs
License: MIT
URL: https://github.com/colinweight/thousand_island
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(guard) >= 2.6.1
# BuildRequires: rubygem(guard) < 2.7
# BuildRequires: rubygem(guard-rspec) >= 4.3.1
# BuildRequires: rubygem(guard-rspec) < 4.4
# BuildRequires: rubygem(pdf-inspector) >= 1.2.0
# BuildRequires: rubygem(pdf-inspector) < 1.3
# BuildRequires: rubygem(yard) >= 0.8.7
# BuildRequires: rubygem(yard) < 0.9
# BuildRequires: rubygem(codeclimate-test-reporter)
BuildArch: noarch

%description
Dressing for Prawn.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/thousand_island.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.2-1
- Initial package
